Jump to content
limetech

unRAID OS version 6.3.0 Stable Release Available

324 posts in this topic Last Reply

Recommended Posts

I've had a Windows 2003 Server VM I've been running forever. New update killed my access to samba shares. Tried all the usual fixes. Never had an issue with this though many updates.

Share this post


Link to post

I see this in my syslog

 

Feb  4 07:57:35 Tower root: error: webGui/include/Watchdog.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/Notify.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token

 

Share this post


Link to post

I see this in my syslog

 

Feb  4 07:57:35 Tower root: error: webGui/include/Watchdog.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/Notify.php: wrong csrf_token
Feb  4 07:57:35 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token
Feb  4 07:57:36 Tower root: error: webGui/include/DashUpdate.php: wrong csrf_token

 

If you have a browser window open and reboot server from another window, or other method, javascript running in the previously open browser window will cause those errors until you close or refresh the window.

Share this post


Link to post

Side question: is it possible to align github with this release, (e.g. dynamix.plg still refers to rc9 on github) ?

 

And of course... THANK YOU for releasing V6.3

Share this post


Link to post

I was so excited to see 6.3.0 was released after watching a movie on Plex. I updated the os only to reboot and find my drive 2 disabled with attribute 187: unRAID device sdb SMART health [187]: 04-02-2017 01:34 Warning [uNRAID] - reported uncorrect is 157 ST3000DM001-9YN166_W1F00KHC (sdb) :(

attributes.png.38ad001369404fb135fcfdacfa81406c.png

Share this post


Link to post

That should not cause a drive to be disabled by itself.  For a drive to be disabled a write to it needs to have failed.  I suspect the timing is a coincidence.

Share this post


Link to post

Small GUI glitch on 6.3.

 

When watching the main page on a small display (e.g. Android tablet with Chrome) the buttons "Spin down" and "Clear statistics" are no longer column-aligned to the buttons above (e.g. History). They move to the right a little bit.

 

Can send a screenshot if neccessary.

 

TIA

 

Share this post


Link to post

were the betas and rc private?? lol i missed them

upgraded to 6.3 without a hitch :)

thanks for the hard work LT!

 

EDIT:

 

nvm just saw pre-release were moved from announcements. DERP!

Share this post


Link to post

Small GUI glitch on 6.3.

 

When watching the main page on a small display (e.g. Android tablet with Chrome) the buttons "Spin down" and "Clear statistics" are no longer column-aligned to the buttons above (e.g. History). They move to the right a little bit.

 

Can send a screenshot if neccessary.

 

TIA

 

Do you have the Unassigned Devices plugin installed, it is causing some shifts in the display.

 

Share this post


Link to post

Small GUI glitch on 6.3.

 

Do you have the Unassigned Devices plugin installed, it is causing some shifts in the display.

 

No docker, no VM, no plugins except NERD pack for screen - pure NAS functionality.

 

Share this post


Link to post

Small GUI glitch on 6.3.

 

When watching the main page on a small display (e.g. Android tablet with Chrome) the buttons "Spin down" and "Clear statistics" are no longer column-aligned to the buttons above (e.g. History). They move to the right a little bit.

 

Can send a screenshot if neccessary.

 

TIA

 

Do you have the Unassigned Devices plugin installed, it is causing some shifts in the display.

 

Where is it causing shifts in the display?

Share this post


Link to post

I'm on version 6.3.0-rc6 and didn't get chance to upgrade to rc9 (due to being busy). When checking for updates i now have none. When i try and install the plugin to get back to stable i am greeted with the following message:

plugin: installing: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg ... done
plugin: not installing older version

 

As it stands i'm unable to update unraid through the gui at all, any ideas?

 

Jamie

Share this post


Link to post

I'm on version 6.3.0-rc6 and didn't get chance to upgrade to rc9 (due to being busy). When checking for updates i now have none. When i try and install the plugin to get back to stable i am greeted with the following message:

plugin: installing: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg ... done
plugin: not installing older version

 

As it stands i'm unable to update unraid through the gui at all, any ideas?

 

Jamie

Download the zip file via the link in the OP, and overwrite all the bz* files on the flash drive with the version from the zip.

 

Note that ALL upgrades from any 6.3 RC to 6.3.0 will fail and must be upgraded via overwriting the bz* files EDIT: Tom Fixed  ;D

Share this post


Link to post

I'm on version 6.3.0-rc6 and didn't get chance to upgrade to rc9 (due to being busy). When checking for updates i now have none. When i try and install the plugin to get back to stable i am greeted with the following message:

plugin: installing: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg
plugin: downloading: https://raw.githubusercontent.com/limetech/unRAIDServer/master/unRAIDServer.plg ... done
plugin: not installing older version

 

As it stands i'm unable to update unraid through the gui at all, any ideas?

 

Jamie

 

Here. It worked for me.

Share this post


Link to post

I updated to 6.3 last night.  Now on my Wdtv live box it's saying unable to connect to selected source.  Running the latest firmware.  It sees TOWER just fine but it's just unable to connect via windows share.

Share this post


Link to post

Anyone using the Recycle Bin plugin will need to remove the previous version and install the newest version.  CA is the best way to get the latest version.  You can do this before do this after the OS update.  You need to do this because there will be some residue if you just update the plugin that will prevent the recycle bin 'exclude shares' from working correctly.

 

This was done because of some changes in 6.3 in the way the samba 'vfs objects' are done.  The recycle bin had to be redesigned to be compatible with 6.3 final.  One of the things these changes allows is true per share recycle bins.  Excluded shares are not set up with a recycle bin.

 

Many thanks to LT for making some changes that allowed me to update the plugin to work with 6.3.

Share this post


Link to post

Anyone using the Recycle Bin plugin will need to remove the previous version and install the newest version.  CA is the best way to get the latest version.  You can do this before or after the OS update. 

You can't reinstall Recycle Bin via CA until after upgrading to 6.3.0  It's listed as being incompatible with all versions prior to 6.3.0 so it won't appear within CA until after the upgrade

Share this post


Link to post

I was so excited to see 6.3.0 was released after watching a movie on Plex. I updated the os only to reboot and find my drive 2 disabled with attribute 187: unRAID device sdb SMART health [187]: 04-02-2017 01:34 Warning [uNRAID] - reported uncorrect is 157 ST3000DM001-9YN166_W1F00KHC (sdb) :(

 

Strange upgraded from 6.2.4 to 6.3.0 and I have the exact same disk type ST300DM001-9YN166 also die on reboot to new version.

Share this post


Link to post

Updated from 6.2.4 with no issues.

 

I couldn't reconnect to the web interface after the reboot. Finally figured out the DCHP assigned my tower a new IP !

Share this post


Link to post

Updated from 6.2.4 with no issues.

 

I couldn't reconnect to the web interface after the reboot. Finally figured out the DCHP assigned my tower a new IP !

 

You can set a static IP in the network settings to avoid that issue in the future ;)

Share this post


Link to post

I have updated from 6.2.4 to 6.3.0 and have now recieved an email error message Cache pool BTRFS too many profiles?

Share this post


Link to post

I upgraded from previous stable with no problems.

I restarted server and the SMB shares worked fine.

I had to do multiple restarts to my desktop and now I cannot login to private shares.

 

username/password is correct.

server is "TOWER is current local master browser"

I am using windows 10.

 

Through windows 7 from a VM I can browse the //TOWER/Photos for example with no problem while I cannot from the desktop.

 

I din't change anything!

Any ideas?

Share this post


Link to post

email this morning. I don't have tor on this box?

 

subject: cron for user root /usr/bin/run-parts /etc/cron.daily 1> /dev/null

 

body: error: Ignoring tor because of bad file mode - must be 0644 or 0444.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.